package com.zjrs.zwnw.rlzysc.bpo.impl;

import org.mohrss.leaf.core.framework.domain.bpo.impl.BPOImpl;
import org.mohrss.leaf.core.framework.persistens.PageResult;
import com.zjrs.zwnw.rlzysc.blo.GxygBLO;
import com.zjrs.zwnw.rlzysc.bpo.GxygBPO;
import com.zjrs.zwnw.rlzysc.dto.GxygDTO;
import com.zjrs.zwnw.rlzysc.dto.GxygQueryDTO;
import com.zjrs.zwnw.rlzysc.po.VRsRlzyGxygPO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Map;

@Service
public class GxygBPOimpl extends BPOImpl implements GxygBPO {

    @Autowired
    private GxygBLO gxygBLO;

    @Override
    public PageResult getGxygList(GxygQueryDTO dto) {
        return gxygBLO.getGxygList(dto);
    }

    @Override
    public VRsRlzyGxygPO getGxyg(GxygDTO dto) {
        return gxygBLO.getGxyg(dto);
    }

    @Override
    public void updateState(GxygDTO dto) {
        gxygBLO.updateState(dto);
    }

    @Override
    public void updateShztAndFbzt(GxygDTO dto) {
        gxygBLO.updateShztAndFbzt(dto);
    }

    @Override
    public Map<String, Object> getGxygStates() {
        return gxygBLO.getGxygStates();
    }

    @Override
    public void updateGxygStates(GxygDTO dto) {
        gxygBLO.updateGxygStates(dto);
    }
}
